## javax.portlet
Interface ResourceServingPortlet

All Known Implementing Classes:
  GenericPortlet

    public interface ResourceServingPortlet

The `ResourceServingPortlet` interface allows serving resources through the portlet.

The portlet container must call this method for links created by the `RenderResponse.createResourceURL()` call. If the portlet creates resource URLs with `RenderResponse.createResourceURL()` it must implement this lifecycle method.

Since:
  2.0

Method Summary
`void` `serveResource(ResourceRequest request, ResourceResponse response)` Called by the portlet container to allow the portlet to generate the resource content based on its current state.

Method Detail

### serveResource

    void serveResource(ResourceRequest request,
                       ResourceResponse response)
                       throws PortletException,
                              java.io.IOException

  Called by the portlet container to allow the portlet to generate the resource content based on its current state. The portal / portlet container must not render any output in addition to the content returned by the portlet. The portal / portlet container should expect that the portlet may return binary content for a `renderResource` call.

  Parameters:
    `request` - the resource request
    `response` - the resource response
  Throws:
    `PortletException` - if the portlet has problems fulfilling the rendering request
    `UnavailableException` - if the portlet is unavailable to perform render at this time
    `PortletSecurityException` - if the portlet cannot fullfill this request because of security reasons
    `java.io.IOException` - if the streaming causes an I/O problem

Copyright © 2010. All Rights Reserved.